Topic outline

  • General

    Latest news

    Picture of Carolynn Ablitt
    StrongStart Closed Wednesday February 21
    by Carolynn Ablitt - Tuesday, 20 February 2018, 8:11 AM
     

    Please note StrongStart will be closed Wednesday February 21.    The centre will be open for Thursday February 22.


     
    Picture of Carolynn Ablitt
    StrongStart will be closed on FRI. Feb 23 (School District Professional Development Day).
    by Carolynn Ablitt - Saturday, 17 February 2018, 11:09 AM
     

    StrongStart will be closed on FRI. Feb 23 (School District Professional Development Day).

     
    Picture of Carolynn Ablitt
    Kindergarten Information Evening & Registration
    by Carolynn Ablitt - Wednesday, 20 December 2017, 11:39 AM
     

    Kindergarten Information Evening:

        January 24, 2018     7 - 8:30 pm

        Sidney Elementary
        2281 Henry Avenue, Sidney   V8L 2A8

     

    Children born in 2013 are eligible to register for Full Day Kindergarten at your neighbourhood school.

    Registration will take place the week of January 29 - February 2, at your neighbourhood school.  Please bring with you proof of your address, Proof of your child's age, (birth certificate or passport), and you child's care card.

    After February 2 - all k-5 registrations will be done at Saanich School Board Office, 2125 Keating Cross Road, Saanichton


     
    Picture of Carolynn Ablitt
    Winter Break
    by Carolynn Ablitt - Wednesday, 20 December 2017, 11:39 AM
     

    The last day StrongStart will be open before the Winter Break is THURS. Dec. 21 (morning).  StrongStart will be closed through the Winter Break until re-opening on MON. Jan 8

     
    Picture of Carolynn Ablitt
    StrongStart and PISE Physical Literacy Fridays
    by Carolynn Ablitt - Wednesday, 11 October 2017, 3:36 PM
     


    PISE leaders will be facilitating games and play based activities for children and parents/caregivers from 10:15 to 11:00am each Friday morning. The games and activities are designed to improve movement skills in the children in a fun and engaging way, while showcasing to parents/caregivers different activities that can be done at home. Activities will take place in the StrongStart room, as well as the occasional trip outside to move around in a larger space and engage in a different environment. All ages and abilities are welcome to join in with the games, and please feel free to ask the PISE leaders for adaptations to games in order to engage your child in movement.

     
  • Topic 1